* [PATCH 1/2] defaultenv/udpate: fix typo in default barebox image name
@ 2010-11-26 19:58 Jean-Christophe PLAGNIOL-VILLARD
2010-11-26 19:58 ` [PATCH 2/2] defaultenv/udpate: in xmodem mode load the data before erasing Jean-Christophe PLAGNIOL-VILLARD
0 siblings, 1 reply; 2+ messages in thread
From: Jean-Christophe PLAGNIOL-VILLARD @ 2010-11-26 19:58 UTC (permalink / raw)
To: barebox
Signed-off-by: Jean-Christophe PLAGNIOL-VILLARD <plagnioj@jcrosoft.com>
---
defaultenv/bin/update | 2 +-
1 files changed, 1 insertions(+), 1 deletions(-)
diff --git a/defaultenv/bin/update b/defaultenv/bin/update
index 3601177..29c240b 100644
--- a/defaultenv/bin/update
+++ b/defaultenv/bin/update
@@ -33,7 +33,7 @@ elif [ x${type} = xrootfs ]; then
elif [ x${type} = xbarebox ]; then
image=$bareboximage
if [ x${image} = x ]; then
- imamge=barebox.bin
+ image=barebox.bin
fi
else
. /env/bin/_update_help
--
1.7.1
_______________________________________________
barebox mailing list
barebox@lists.infradead.org
http://lists.infradead.org/mailman/listinfo/barebox
^ permalink raw reply [flat|nested] 2+ messages in thread
* [PATCH 2/2] defaultenv/udpate: in xmodem mode load the data before erasing
2010-11-26 19:58 [PATCH 1/2] defaultenv/udpate: fix typo in default barebox image name Jean-Christophe PLAGNIOL-VILLARD
@ 2010-11-26 19:58 ` Jean-Christophe PLAGNIOL-VILLARD
0 siblings, 0 replies; 2+ messages in thread
From: Jean-Christophe PLAGNIOL-VILLARD @ 2010-11-26 19:58 UTC (permalink / raw)
To: barebox
and abort the update if loadb failed or cancelled
Signed-off-by: Jean-Christophe PLAGNIOL-VILLARD <plagnioj@jcrosoft.com>
---
defaultenv/bin/_update | 9 ++++++++-
1 files changed, 8 insertions(+), 1 deletions(-)
diff --git a/defaultenv/bin/_update b/defaultenv/bin/_update
index 87e6922..f736acc 100644
--- a/defaultenv/bin/_update
+++ b/defaultenv/bin/_update
@@ -22,6 +22,14 @@ if [ x$mode = xtftp ]; then
fi
fi
+if [ x$mode = xxmodem ]; then
+ loadb -f $image -c
+ if [ $? -ne 0 ] ; then
+ echo "loadb failed or cancelled! Update aborted."
+ exit 1
+ fi
+fi
+
unprotect $part
echo
@@ -36,7 +44,6 @@ echo
if [ x$mode = xtftp ]; then
tftp $image $part
else
- loadb -f $image -c
cp $image $part
fi
--
1.7.1
_______________________________________________
barebox mailing list
barebox@lists.infradead.org
http://lists.infradead.org/mailman/listinfo/barebox
^ permalink raw reply [flat|nested] 2+ messages in thread
end of thread, other threads:[~2010-11-26 20:37 UTC | newest]
Thread overview: 2+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2010-11-26 19:58 [PATCH 1/2] defaultenv/udpate: fix typo in default barebox image name Jean-Christophe PLAGNIOL-VILLARD
2010-11-26 19:58 ` [PATCH 2/2] defaultenv/udpate: in xmodem mode load the data before erasing Jean-Christophe PLAGNIOL-VILLARD
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox